VasTransferFunds

Transfer funds from a card for a VAS transaction.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction.
profileNumberString1-20 characters✓Profile number linked with this card.
cardIdentifierString✓The card number, tracking number, or sequence number of the card to load.
requestAmountInteger✓The requested amount to be deducted from the card, in cents.
redemptionTypeString✓Redemption type of the VAS transaction.
transactionTypeString✓Type of VAS transaction.
transactionIDString1-255 characters✓Transaction ID number generated by the calling client.
transactionDateDate✓Transaction date generated by the calling client.
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key.
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
  <methodName>VasTransferFunds</methodName>
  <params>
    <param>
      <value>
        <string>1234567890</string>
      </value>
    </param>
    <param>
      <value>
        <string>PROF12345</string>
      </value>
    </param>
    <param>
      <value>
        <string>4111111111111111</string>
      </value>
    </param>
    <param>
      <value>
        <int>10000</int>
      </value>
    </param>
    <param>
      <value>
        <string>VAS1</string>
      </value>
    </param>
    <param>
      <value>
        <string>AIRTIME</string>
      </value>
    </param>
    <param>
      <value>
        <string>TXN202505230001</string>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>20250523T05:06:12</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>ef3c2-5db9e-dsd87-f9a6bc</string>
      </value>
    </param>
  </params>
</methodCall>

Response Parameters

ParametertypeDescription
terminalIDStringEcho of the incoming terminalID.
profileNumberStringEcho of the incoming profileNumber.
cardIdentifierStringEcho of the incoming cardIdentifier.
clientTransactionIDStringEcho of the incoming transactionID value.
serverTransactionIDStringTransaction ID generated by Paymentology.
transactionReferenceStringUnique reference number for the VAS transaction.
resultCodeIntegerStatus code indicating transaction result.
resultTextStringText indicating transaction result.
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
  <params>
    <param>
      <value>
        <struct>
          <member>
            <name>terminalID</name>
            <value>
              <string>1234567890</string>
            </value>
          </member>
          <member>
            <name>profileNumber</name>
            <value>
              <string>PROF12345</string>
            </value>
          </member>
          <member>
            <name>cardIdentifier</name>
            <value>
              <string>4111111111111111</string>
            </value>
          </member>
          <member>
            <name>clientTransactionID</name>
            <value>
              <string>TXN202505230001</string>
            </value>
          </member>
          <member>
            <name>serverTransactionID</name>
            <value>
              <string>PT12345678901</string>
            </value>
          </member>
          <member>
            <name>transactionReference</name>
            <value>
              <string>VAS202505230001</string>
            </value>
          </member>
          <member>
            <name>resultCode</name>
            <value>
              <int>0</int>
            </value>
          </member>
          <member>
            <name>resultText</name>
            <value>
              <string>Transaction Approved</string>
            </value>
          </member>
        </struct>
      </value>
    </param>
  </params>
</methodResponse>